//!Simple class to display the splash screen.
//!click events are handled here.

#include "SplashScreen.h"

using namespace sf;

 void SplashScreen::Show(sf::RenderWindow & renderWindow)
 {
   sf::Texture image;
   if(image.loadFromFile("SplashScreen1.png") != true)
   {
     return;
   }

   sf::Sprite sprite(image);

   renderWindow.draw(sprite);
   renderWindow.display();

   sf::Event event;
   while(true)
   {
     while(renderWindow.pollEvent(event))
     {
       if(event.type == sf::Event::EventType::KeyPressed
         || event.type == sf::Event::EventType::MouseButtonPressed
         || event.type == sf::Event::EventType::Closed )
       {
         return;
       }
     }
   }
 }
