#ifndef Galaxion_H
#define Galaxion_H
#include "SFML/Window.hpp"
#include "SFML/Graphics.hpp"
#include "SpaceShip.h"
#include "VisibleGameObject.h"
#include "Projectile.h"
#include "BrainProjectile.h"
#include "Brain.h"
#include "Score.h"

using namespace sf;
using namespace std;

class Galaxion
{
public:
    enum GameState { Uninitialized, ShowingSplash, Paused, ShowingMenu, Playing, Exiting };static void Run();
    enum Direction { RIGHT,LEFT,UP,DOWN};

    static bool IsExiting();
    static void GameLoop();
    static void playing(Event currentEvent);
    static void ShowSplashScreen();//menu
    static void ShowMenu();//menu
    static string getState();
    static void setState(GameState state);
    static void checkEvents(Event currentEvent);
    static void BrainArmy();
    static void BrainFire(Brain brain_[],float elapsedTimeSinceCreatedBrainProjectile_[],float bulletTimeCreated_[]);
    static void BrainMovement(Brain brain_[]);
    static void Crash(Brain brain_[]);
    static void endGameCheck();
    static bool getWin();
    static bool getGameOver();
    static int getKillCount();

      static RenderWindow _mainWindow;
      static SpaceShip _player1;
      static Score _score;
      float GameScore = 0;
      int killCount = 0;
      static BrainProjectile _brain_projectile;
      bool life = true;
      bool hit1[7] = {false};
      bool hit2[7] = {false};
      bool hit3[7] = {false};
      bool hit4[7] = {false};
      bool hit5[7] = {false};
private:

     bool rev = false;
     bool pos[7] = {true};
     bool alive1[7] = {true};
     bool alive2[7] = {true};
     bool alive3[7] = {true};
     bool alive4[7] = {true};
     bool alive5[7] = {true};

     bool gameWin = false;
     bool gameOver = false;
     int x_position;
     int y_position;
     float time_2 = 0;
     float time_5 = 0;
     static GameState _gameState;
     static Projectile _projectile;

     static Brain _brain;

};

#endif
