//! Class to add powerUp functionality.
//! controls where about the powerUp sphere is placed aswell as which power is selected when sphere is collected
//! powerUp includes added weapons for increased damage aswell as shielding from projectiles and wraparound.

#include "PowerUp.h"
#include "Galaxion.h"
#include "Score.h"
#include <iostream>

PowerUp _shield;
PowerUp _torpedo;
SpaceShip _player1;

PowerUp::PowerUp()
{
}

PowerUp::~PowerUp()
 {
 }

 void PowerUp::Placement(int &z,bool power,float &ab,float &bb,float &cb,float &db)
{
    PowerUp _powerup;
    int time = clock();
    z = time/40 % 800;
    int r =z*exp(1/2)+1;

    _powerup.load("powerup.png");
    if(power)
    _powerup.setPosition(z,r);
    _powerup.setShipBoundry(ab,bb,cb,db,false);

    if(power)
    {
    _powerup.draw(Galaxion::_mainWindow);
    }else{
    _powerup.setPosition(900,900);
    }

}
 void PowerUp::Select(string &power)
 {
     int r;
     Score _score;
     if(_player1.wrapAround == false && _player1.shield == false &&_player1.torpedo == false && _player1.virus == false )
     r = rand() % 4;

    switch(r)
    {
             case 0:
                     _player1.wrapAround = true;
                    power = "Wrap Around";
              break;

             case 1:
                    _player1.shield =true;
                    power = "Shield";
              break;

             case 2:
                    _player1.torpedo =true;
                    power = "Shock Therapy";
              break;

             case 3:
                    _player1.virus = true;
                    power = "Virus";
              break;
    }
 }

 void PowerUp::WrapAround(Galaxion::Direction dir,int &x)
 {
     switch (dir)
    {
        case Galaxion::Direction::LEFT:
              if(x>0)
              x=x-20;
              if(x<0)
              x=x+780;
              break;

        case Galaxion::Direction::RIGHT:
              if(x<700)
              x=x+20;
              if(x>700)
              x=x-780;
              break;
    }
 }

void PowerUp::Shield(int &x, int &y)
 {
     _shield.load("bubble2.png");
     _shield.draw(Galaxion::_mainWindow);
     _shield.setPosition(x-55,y-40);
     _player1.shield =true;
 }

void PowerUp::ExtraLife()
 {
 }

 void PowerUp::GunSlinger()
 {
 }

 void PowerUp::Torpedo()
 {
 }

  bool PowerUp::getWrapAround()
 {
     return _player1.wrapAround;
 }
   bool PowerUp::getShield()
 {
      return _player1.shield;
 }
   bool PowerUp::getVirus()
 {
      return _player1.virus;
 }
  bool PowerUp::getTorpedo()
 {
      return _player1.torpedo;
 }
