//! Score class manages the game score.
//! the diplay and saving of the game score is done here.
//! Other display functions such as game over or game win is implemented here.

#include "Score.h"
#include "Galaxion.h"
#include <sstream>
#include <iostream>
#include <fstream>

 Score::Score()
 {
 }


 Score::~Score()
 {
 }

void Score::DisplayScore(float GameScore)
{
    ostringstream buffer;
    buffer << GameScore;
    string player1_score = buffer.str();
    sf::Font font;
    font.loadFromFile("Arial.ttf");
    sf::Text text("Score: \n" + player1_score, font);
    text.setCharacterSize(20);
    text.setStyle(sf::Text::Bold);
    text.setColor(sf::Color::Magenta);
    text.setPosition(50,50);
    Galaxion::_mainWindow.draw(text);

    float highScore = SaveScore(GameScore);
    ostringstream buffer2;
    buffer2 << highScore;
    string highScore_ = buffer2.str();
    sf::Text text1("High Score: \n" + highScore_,font);
    text1.setCharacterSize(20);
    text1.setStyle(sf::Text::Bold);
    text1.setColor(sf::Color::Cyan);
    text1.setPosition(650,50);
    Galaxion::_mainWindow.draw(text1);

}

void Score::GameOver()
{
    sf::Font font;
    font.loadFromFile("Arial.ttf");
    sf::Text text("Game Over", font);
    text.setCharacterSize(80);
    text.setStyle(sf::Text::Bold);
    text.setColor(sf::Color::Red);
    text.setPosition(200,300);
    Galaxion::_mainWindow.draw(text);
}
void Score::win()
{
    sf::Font font;
    font.loadFromFile("Arial.ttf");
    sf::Text text("You Win!!!", font);
    text.setCharacterSize(80);
    text.setStyle(sf::Text::Bold);
    text.setColor(sf::Color::Yellow);
    text.setPosition(180,300);
    Galaxion::_mainWindow.draw(text);
}
void Score::PowerUp(string power)
{
    sf::Font font;
    font.loadFromFile("Arial.ttf");
    sf::Text text(power, font);
    text.setCharacterSize(80);
    text.setStyle(sf::Text::Bold);
    text.setColor(sf::Color::Green);
    text.setPosition(300,400);
    Galaxion::_mainWindow.draw(text);
}

float Score::SaveScore(float GameScore)
{
    float highScore;
    ofstream outputFile;
    ifstream HighScore;

        HighScore.open("HighScore.txt");

        if(HighScore.is_open())
        {
            HighScore >> highScore;
            if(highScore<GameScore)
            highScore = GameScore;
        }
        HighScore.close();
        outputFile.open("HighScore.txt");

        if(outputFile.is_open())
        {
           outputFile << highScore;
        }
         outputFile.close();

         return highScore;
}

